curl https://api.0xradar.app/v1/health
import httpx
print(httpx.get("https://api.0xradar.app/v1/health").json())
const res = await fetch("https://api.0xradar.app/v1/health");
console.log(await res.json());
{
"status": "ok",
"service": "0xradar-api",
"version": "0.3.0",
"supported_chains": ["ethereum", "arbitrum", "base", "optimism", "polygon", "bsc", "hyperevm"],
"chain_count": 7,
"dependencies": {
"redis": "ok"
},
"timestamp": "2026-05-27T05:00:00.000000"
}
Endpoints
Health
GET
/
v1
/
health
curl https://api.0xradar.app/v1/health
import httpx
print(httpx.get("https://api.0xradar.app/v1/health").json())
const res = await fetch("https://api.0xradar.app/v1/health");
console.log(await res.json());
{
"status": "ok",
"service": "0xradar-api",
"version": "0.3.0",
"supported_chains": ["ethereum", "arbitrum", "base", "optimism", "polygon", "bsc", "hyperevm"],
"chain_count": 7,
"dependencies": {
"redis": "ok"
},
"timestamp": "2026-05-27T05:00:00.000000"
}
Returns the current operational status of the API and dependencies. No authentication required.
Response
string
"ok" when healthy, "degraded" when dependencies are down.string
Current API version.
string[]
Array of supported chain identifiers.
object
Per-dependency status (redis, etc.)
curl https://api.0xradar.app/v1/health
import httpx
print(httpx.get("https://api.0xradar.app/v1/health").json())
const res = await fetch("https://api.0xradar.app/v1/health");
console.log(await res.json());
{
"status": "ok",
"service": "0xradar-api",
"version": "0.3.0",
"supported_chains": ["ethereum", "arbitrum", "base", "optimism", "polygon", "bsc", "hyperevm"],
"chain_count": 7,
"dependencies": {
"redis": "ok"
},
"timestamp": "2026-05-27T05:00:00.000000"
}